Drive Download File
Snapshot Catalog Entry
This page is generated from broker tools/list snapshot data.
Download a file from Drive. For Google Docs/Sheets/Slides, use export.
Request Body
{
"jsonrpc": "2.0",
"id": "google-drive-download-file-example",
"method": "tools/call",
"params": {
"name": "google.drive_download_file",
"arguments": {
"file_id": "file_id_123",
"export_mime_type": "export_mime_type_example",
"include_content": false,
"return_mode": "return_mode_example",
"max_bytes": 1,
"range_start": "",
"range_end": ""
}
}
}
Arguments Schema
{
"properties": {
"file_id": {
"type": "string"
},
"export_mime_type": {
"type": "string"
},
"include_content": {
"type": "boolean"
},
"return_mode": {
"type": "string"
},
"max_bytes": {
"type": "integer"
},
"range_start": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"range_end": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
}
},
"required": [
"file_id"
],
"type": "object"
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "google-drive-download-file-example",
"method": "tools/call",
"params": {
"name": "google.drive_download_file",
"arguments": {
"file_id": "file_id_123",
"export_mime_type": "export_mime_type_example",
"include_content": false,
"return_mode": "return_mode_example",
"max_bytes": 1,
"range_start": "",
"range_end": ""
}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "google-drive-download-file-example",
"method": "tools/call",
"params": {
"name": "google.drive_download_file",
"arguments": {
"file_id": "file_id_123",
"export_mime_type": "export_mime_type_example",
"include_content": false,
"return_mode": "return_mode_example",
"max_bytes": 1,
"range_start": "",
"range_end": ""
}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "google-drive-download-file-example",
"method": "tools/call",
"params": {
"name": "google.drive_download_file",
"arguments": {
"file_id": "file_id_123",
"export_mime_type": "export_mime_type_example",
"include_content": false,
"return_mode": "return_mode_example",
"max_bytes": 1,
"range_start": "",
"range_end": ""
}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"message": "Tool google.drive_download_file executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}